Get plan details
curl --request GET \
--url https://api.gcore.com/fastedge/v1/admin/plans/{plan_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/fastedge/v1/admin/plans/{plan_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/fastedge/v1/admin/plans/{plan_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"max_duration": 50,
"mem_limit": 10485760,
"max_subrequests": 123,
"reseller_id": 0,
"name": "enterprise-tier",
"id": 123,
"billing_plan_id": 0
}Plans
Get plan details
Retrieve complete configuration for a specific subscription plan.
GET
/
fastedge
/
v1
/
admin
/
plans
/
{plan_id}
Get plan details
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Unique identifier of the plan to retrieve
Response
200 - application/json
Returns complete plan configuration and limits
Maximum execution time per request in milliseconds. Requests exceeding this limit are terminated.
Required range:
x >= 1Example:
50
Maximum memory allocation per instance in bytes. Prevents runaway memory usage.
Example:
10485760
Maximum number of outgoing HTTP requests allowed per invocation (0 disables external requests)
Reseller plan ID
Unique plan identifier (alphanumeric and hyphens)
Required string length:
1 - 64Pattern:
^[a-zA-Z0-9][a-zA-Z0-9-]*[a-zA-Z0-9]$Example:
"enterprise-tier"
Plan ID
Billing plan ID
Was this page helpful?